clear all;close all;

ttiny = 0.06447*eps;
y=logspace(-20,4,71);
x=linspace(-200,200,40001);
[x,y]=meshgrid(x,y);
z=complex(x,y);

%-----Calling example
tic;[wv2,dvdx,dvdy]=Faddeyeva_v2(z,13);toc          

%-----timing using "timeit.m"
%----- A minimum of 13 significant digits
f1_13=@()Faddeyeva(z,ttiny);                         % Previous version
V1_13_time=timeit(f1_13)

f2_13=@()Faddeyeva_v2(z,13);                         % Present version
V2_13_time=timeit(f2_13)

%----- Aminimum of 4 significant digits
f1_4=@()Faddeyeva(z);                          % Previous version (default)
V1_4_time=timeit(f1_4)

f2_4=@()Faddeyeva_v2(z);                       % Present version (default)
V2_4_time=timeit(f2_4)


